package com.googlecode.jpattern.core.command;

/**
 * 
 * @author Francesco Cina'
 *
 * 16 Mar 2011
 */
public class ExecCommandExecutionStrategy implements ICommandExecutionStrategy {

	private final ACommand aCommand;
	private final ICommandResult result;

	public ExecCommandExecutionStrategy(ACommand aCommand, ICommandResult result) {
		this.aCommand = aCommand;
		this.result = result;
	}

	@Override
	public void execute() {
		aCommand.result(result);
		aCommand.setExecuted(true);
    	result.commandEndExecution(aCommand);
	}

	@Override
	public ICommandResult getCommandresult() {
		return result;
	}
}
