package com.googlecode.jpattern.core.command;

/**
 * 
 * @author Francesco Cina'
 *
 * 16 Mar 2011
 */
public class RollbackCommandExecutionStrategy implements ICommandExecutionStrategy {

	private final ACommand aCommand;
	private final ICommandResult result;

	public RollbackCommandExecutionStrategy(ACommand aCommand, ICommandResult result) {
		this.aCommand = aCommand;
		this.result = result;
	}
	
	@Override
	public void execute() {
		aCommand.internalRollBack(result);
    	aCommand.setExecuted(false);
    	result.commandEndExecution(aCommand);
	}

	@Override
	public ICommandResult getCommandresult() {
		return result;
	}

}
