package com.googlecode.jpattern.core.commandfacade;

import java.util.List;

import com.googlecode.jpattern.core.command.IErrorMessage;
import com.googlecode.jpattern.core.command.ICommandResult;

/**
 * 
 * @author Francesco Cina'
 *
 * 25 Feb 2011
 */
public class CommandFacadeResult<E> implements ICommandFacadeResult<E>  {


    private static final long serialVersionUID = 1L;
    private ICommandResult result;
    private E resultObject;
    
    public CommandFacadeResult(ICommandResult aResult, E aResultObject) {
            result = aResult;
            resultObject = aResultObject;
    }

    @Override
    public String getAsString() {
        return result.asString();
    }

    @Override
    public List<IErrorMessage> getErrorMessages() {
        return result.getErrorMessages();
    }

    @Override
    public boolean isValid() {
        return result.isValid();
    }

    @Override
    public E getReturnedObject() {
        return resultObject;
    }

}
