package com.googlecode.jpattern.service.log.slf4j;

import com.googlecode.jpattern.core.IService;
import com.googlecode.jpattern.service.log.ALoggerServiceBuilder;

/**
 * 
 * @author Francesco Cina'
 *
 * 4 Mar 2011
 */
public class Slf4jLoggerServiceBuilder extends ALoggerServiceBuilder {

	private static final long serialVersionUID = 1L;
	private final ILoggerBackendConfigurator loggerBackendConfigurator;
	
	public Slf4jLoggerServiceBuilder(ILoggerBackendConfigurator loggerBackendConfigurator) {
		this.loggerBackendConfigurator = loggerBackendConfigurator;
	}

	@Override
	public IService build() {
		loggerBackendConfigurator.configure();
		return new Slf4jLoggerService( getName() );
	}

}
